Create Session
curl --request POST \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"auto_process_after_seconds": 600,
"metadata": {},
"custom_created_at_utc": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions"
payload = {
"auto_process_after_seconds": 600,
"metadata": {},
"custom_created_at_utc": "2023-11-07T05:31:56Z"
}
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
auto_process_after_seconds: 600,
metadata: {},
custom_created_at_utc: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"session_summary": "<string>",
"memories": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Create Session
Create a new conversation session for a user.
Sessions track conversation history and are used for memory extraction. Messages added to a session will be processed to extract and store long-term memories when the session is finalized.
Path Parameters:
custom_user_id(str): Unique identifier for the user
Body Parameters:
auto_process_after_seconds(int): Seconds of inactivity before session auto-processes. Must be >= 600. Default: 600metadata(Dict[str, Any]): Optional JSON metadata to attach to the sessioncustom_created_at_utc(datetime): Optional custom timestamp for when the session was created. Must be UTC timezone-aware. Useful for benchmarking or importing historical data. Default: current time
Returns:
session(SessionInfo): Created session with ID, status, creation timestamp, and metadata
POST
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
Create Session
Path Parameters
Body
application/json
Response
Session created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

